Subject: Re: [bug#30572] [PATCH 6/7] system: Add "guix system docker-image" command.

From: Chris Marusich <[email-masked]>
Date: Sat, 03 Mar 2018 08:31:25 +0100

Hi Ludo,

Thank you for taking the time to review the patch series!

[email-masked] (Ludovic Courtès) writes:

> Chris Marusich <[email-masked]> skribis:
>
>> +  (mlet %store-monad ((os-drv (operating-system-derivation os #:container? #t))
>
> Since <operating-system> has a gexp compiler, this line is no longer
> needed.  Instead you can write:
>
>   #~(do something with #$os)

Will this work even though I need #:container? to be #t?

> What about here replacing ‘build’ on the line above with something like:
>
>   #~(execl #$(program-file "build-docker-image.scm" build)
>           "build-docker-image")
>
> This would create a ‘build-docker-image.scm’ script that uses the real
> Guile 2.2, but we could still use guile-static-stripped in the initrd.
>
> WDYT?

That sounds like a good idea.  I'll look into it and send an update in a
few days.

By the way, if you have any thoughts regarding the questions I asked in
the very first email of this patch series, I'd love to hear them!

-- 
Chris